<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Pantalla para mostrar detalles de los cultivos asociados al avalúo
                
@ManagedBean    CargaDetallesAvaluoDesdeArchivoMB
@cu 			CU-SA-AC-070
-->
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             columns="1" width="100%">

    <p:dataTable value="#{cargaDetallesAvaluoDesdeArchivo.cultivos}" var="cultivo"
                 id="aceptadaCultivosDT" paginator="true" rows="10"
                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                 emptyMessage="No se encontraron cultivos cargados">

        <f:facet name="header">
            <h:outputText value="Información de cultivos aceptada para cargar" />
        </f:facet>

        <p:column headerText="Departamento">
            <h:outputText styleClass="outputTextStyle"
                          value="#{cultivo.codigoDepartamento}" />
        </p:column>

        <p:column headerText="Municipio">
            <h:outputText styleClass="outputTextStyle"
                          value="#{cultivo.codigoMunicipio}" />
        </p:column>

        <p:column headerText="Número predial">
            <h:outputText styleClass="outputTextStyle"
                          value="#{cultivo.numeroPredial}" />
        </p:column>

        <p:column headerText="Tipo">
            <h:outputText styleClass="outputTextStyle"
                          value="#{cultivo.tipo}" />
        </p:column>

        <p:column headerText="Edad">
            <h:outputText styleClass="outputTextStyle"
                          value="#{cultivo.edad}" />
        </p:column>

        <p:column headerText="Descripción">
            <h:outputText styleClass="outputTextStyle"
                          value="#{cultivo.descripcion}" />
        </p:column>
        <p:column headerText="Aspecto tecnico">
            <h:outputText id="AvaluoPredioCultAspeTecV" styleClass="outputTextStyle"
                          value="#{cultivo.aspectoTecnico}">
                <f:converter converterId="converterCB" for="AvaluoPredioCultAspeTecV"/>
            </h:outputText>
        </p:column>
        <p:column headerText="Medida / Cantidad">
            <h:outputText styleClass="outputTextStyle"
                          value="#{cultivo.cantidad}" />
        </p:column>
        <p:column headerText="Unidad medidad">
            <h:outputText id="UnidadMedidaV" styleClass="outputTextStyle"
                          value="#{cultivo.unidadMedida}">
                <f:converter converterId="converterCB" for="UnidadMedidaV"/>
            </h:outputText>
        </p:column>

        <p:column headerText="Valor unidad">
            <h:outputText styleClass="outputTextStyle"
                          value="#{cultivo.valorUnidad}">
                <f:converter converterId="converterMoneda" for="valorAvaluoPredio" />
            </h:outputText>
        </p:column>

    </p:dataTable>
</h:panelGrid>
